routes/web.php
<?php

use App\Http\Controllers\BackendController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\OffreController;
use App\Models\Entreprise;
use App\Http\Controllers\EntrepriseController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\AptitudeController;
use App\Http\Controllers\OptionController;
use App\Http\Controllers\PromotionController;
use App\Http\Controllers\EleveController;
use App\Http\Controllers\PromotionEleveController;
use App\Http\Controllers\EntretienController;
use App\Http\Controllers\ProfesseurController;
use App\Http\Controllers\FicheController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/',[OffreController::class, 'welcome'])->name('welcome');
Route::get('/mentions',[BackendController::class, 'mentions'])->name('mentions');
Route::middleware(['auth'])->group(function () {
    Route::get('fiche/pdf', [FicheController::class, 'testViewPDF'])->name('testViewPDF');
    Route::get('fiche/export/{id}', [FicheController::class, 'getPostPdf'])->name('getPostPdf');
    Route::get('/', [OffreController::class, 'welcome'])->name('welcome');
    Route::post('/download', [BackendController::class, 'download'])->name('download');
    Route::get('profil', [UserController::class, 'profil'])->name('profil');
    Route::post('profil', [UserController::class, 'profilUpdate'])->name('profilUpdate');
    Route::post('/contact', [BackendController::class ,'contact'])->name('contact');
    Route::prefix('admin')->group(function () {
        Route::resource('aptitudes', AptitudeController::class);
        Route::resource('offres', OffreController::class);
        Route::resource('entreprises', EntrepriseController::class);
        Route::resource('users', UserController::class);
        Route::resource('option', OptionController::class);
        Route::resource('promotion', PromotionController::class);
        Route::resource('eleve', EleveController::class);
        Route::resource('eleve_promotion', PromotionEleveController::class);
        Route::resource('entretien', EntretienController::class);
        Route::resource('professeur', ProfesseurController::class);
        Route::resource('fiche', FicheController::class);
        Route::get('/', [BackendController::class ,'dashboard'])->name('dashboard');
    });
});
require __DIR__.'/auth.php';

resources/views/entreprises/create.blade.php
@extends('backend.template')
  
@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Ajouter une nouvelle entreprise</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-primary" href="{{ route('entreprises.index') }}"> Retour arrière</a>
        </div>
    </div>
</div>
   
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Oups !</strong> Il y a plusieurs problèmes avec vos saisies.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
   
<form action="{{ route('entreprises.store') }}" method="POST">
    @csrf
  
     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Nom :</strong>
                <input type="text" name="nom" class="form-control" placeholder="Entrez un nom">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Adresse :</strong>
                <textarea class="form-control" style="height:150px" name="adresse" placeholder="Saisissez une adresse"></textarea>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Raison sociale :</strong>
                <input type="text" name="raison_sociale" class="form-control" placeholder="Entrez une raison sociale">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Téléphone :</strong>
                <input type="text" name="telephone" class="form-control" placeholder="Entrez un numéro de téléphone">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Mail :</strong>
                <input type="mail" name="mail" class="form-control" placeholder="Entrez une adresse mail">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Envoyer</button>
        </div>
    </div>
   
</form>
@endsection

resources/views/entreprises/edit.blade.php
@extends('backend.template')
   
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Modification de l'entreprise</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-outline-primary" href="{{ route('offres.index') }}">Retour arrière</a>
            </div>
        </div>
    </div>
   
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Oups !</strong> Il y a des problèmes avec vos saisies<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
  
    <form action="{{ route('entreprises.update', $entreprise->id) }}" method="POST">
        @csrf
        @method('PUT')
   
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nom :</strong>
                    <input type="text" name="nom" value="{{ $entreprise->nom }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Adresse :</strong>
                    <textarea class="form-control" style="height:150px" name="adresse" placeholder="Detail">{{ $entreprise->adresse }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Raison sociale : </strong>
                    <input type="text" name="raison_sociale" value="{{ $entreprise->raison_sociale }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Téléphone : </strong>
                    <input type="text" name="telephone" value="{{ $entreprise->telephone }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Mail : </strong>
                    <input type="mail" name="mail" value="{{ $entreprise->mail }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-outline-primary">Envoyer</button>
            </div>
        </div>
   
    </form>
@endsection

resources/views/entreprises/index.blade.php
@extends('backend.template')
 
@section('content')
  <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-start">
                <h2>CRUD Entreprises</h2>
            </div>
        </div>
    </div>
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
   
    <table class="table table-bordered">
        <tr>
            <th>ID</th>
            <th>Nom</th>
            <th>Adresse</th>
            <th>Raison Sociale</th>
            <th>Téléphone</th>
            <th>Mail</th>
            <th class="action">Action</th>
        </tr>
        @foreach ($entreprise as $e)
        <tr>
            <td>{{ $e->id }}</td>
            <td>{{ $e->nom }}</td>
            <td>{{ $e->adresse }}</td>
            <td>{{ $e->raison_sociale }}</td>
            <td>{{ $e->telephone }}</td>
            <td>{{ $e->mail }}</td>
            <td>
                <form action="{{ route('entreprises.destroy',$e->id) }}" method="POST">   
                    <a class="btn btn-outline-primary btn-show" href="{{ route('entreprises.show',$e->id) }}"></a>    
                    <a class="btn btn-outline-success btn-edit" href="{{ route('entreprises.edit',$e->id) }}"></a>   
                    @csrf
                    @method('DELETE')      
                    <button type="submit" class="btn btn-outline-danger btn-delete"></button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>      
@endsection

resources/views/entreprises/layout.blade.php
<!DOCTYPE html>
<html>
    <head>
        <title>CRUD des offres d'entreprise</title>
        <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha/css/bootstrap.css" rel="stylesheet">
    </head>
    <body>
  
        <div class="container">
            @yield('content')
        </div>
   
    </body>
</html>

resources/views/entreprises/show.blade.php
@extends('backend.template')
  
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Montrer l'entreprise</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-outline-primary" href="{{ route('entreprises.index') }}">Retour arrière</a>
            </div>
        </div>
    </div>
   
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Nom :</strong>
                {{ $entreprise->nom }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Adresse :</strong>
                {{ $entreprise->adresse }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Raison sociale : </strong>
                {{ $entreprise->raison_sociale }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Téléphone : </strong>
                {{ $entreprise->telephone }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Mail : </strong>
                {{ $entreprise->mail }}
            </div>
        </div>
    </div>
@endsection     